> ## Documentation Index
> Fetch the complete documentation index at: https://docs.devinenterprise.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Obtener el estado de indexación de repositorios

> Obtiene el estado de indexación de los repositorios de una organización específica.

Este endpoint devuelve el estado de indexación actual de todos los repositorios asociados con la organización especificada. La respuesta incluye información sobre los trabajos de indexación, los SHA de commits y las marcas de tiempo de cada repositorio.


## OpenAPI

````yaml es/v2-openapi.yaml GET /beta/v2/enterprise/repositories/{org_id}
openapi: 3.1.0
info:
  description: API de Devin v2 con Personal API Keys para administradores de Enterprise
  title: Devin API v2
  version: 2.0.0
servers: []
security:
  - bearerAuth: []
paths:
  /beta/v2/enterprise/repositories/{org_id}:
    get:
      tags:
        - repositories
      summary: Obtener el estado de la tarea
      operationId: get_job_status_beta_v2_enterprise_repositories__org_id__get
      parameters:
        - in: path
          name: org_id
          required: true
          schema:
            title: Org Id
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                items:
                  $ref: '#/components/schemas/ReposResponse'
                title: >-
                  Response Get Job Status Beta V2 Enterprise Repositories  Org
                  Id  Get
                type: array
          description: Respuesta satisfactoria
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
          description: Error de validación
components:
  schemas:
    ReposResponse:
      properties:
        indexing_enabled:
          title: Indexing Enabled
          type: boolean
        latest_completed_search_index_job:
          anyOf:
            - $ref: '#/components/schemas/RepoIndexJobResponse'
            - type: 'null'
        latest_completed_wiki_index_job:
          anyOf:
            - $ref: '#/components/schemas/RepoIndexJobResponse'
            - type: 'null'
        latest_index:
          anyOf:
            - $ref: '#/components/schemas/RepoIndexJobResponse'
            - type: 'null'
        name:
          title: Name
          type: string
      required:
        - name
        - indexing_enabled
        - latest_index
        - latest_completed_search_index_job
        - latest_completed_wiki_index_job
      title: ReposResponse
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          title: Detail
          type: array
      title: HTTPValidationError
      type: object
    RepoIndexJobResponse:
      properties:
        commit:
          title: Commit
          type: string
        created_at:
          format: date-time
          title: Created At
          type: string
        job_id:
          title: Job Id
          type: string
        status:
          enum:
            - failed
            - completed
            - in_progress
          title: Status
          type: string
      required:
        - created_at
        - commit
        - status
        - job_id
      title: RepoIndexJobResponse
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          title: Location
          type: array
        msg:
          title: Message
          type: string
        type:
          title: Error Type
          type: string
      required:
        - loc
        - msg
        - type
      title: ValidationError
      type: object
  securitySchemes:
    bearerAuth:
      description: API key personal (apk_user_*) solo para administradores de Enterprise
      scheme: bearer
      type: http

````